uuid: 097faed7-69ff-4afa-8e1e-4fd7eb29f173
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.teaser
    - field.storage.node.field_site_url_reg
    - node.type.registrations
    - user.role.administrator
  module:
    - node
    - rest
    - serialization
    - user
id: tripal_registrations
label: 'Tripal Registrations'
module: views
description: ''
tag: ''
base_table: node_field_data
base_field: nid
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      title: 'Tripal Registrations'
      fields:
        title:
          id: title
          table: node_field_data
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          entity_field: title
          plugin_id: field
          label: ''
          exclude: false
          alter:
            alter_text: false
            make_link: false
            absolute: false
            word_boundary: false
            ellipsis: false
            strip_tags: false
            trim: false
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: true
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
        field_site_url_reg:
          id: field_site_url_reg
          table: node__field_site_url_reg
          field: field_site_url_reg
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: field
          label: 'Site URL'
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: false
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
      pager:
        type: mini
        options:
          offset: 0
          items_per_page: 100
          total_pages: null
          id: 0
          tags:
            next: ››
            previous: ‹‹
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: role
        options:
          role:
            administrator: administrator
      cache:
        type: tag
        options: {  }
      empty: {  }
      sorts:
        created:
          id: created
          table: node_field_data
          field: created
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          entity_field: created
          plugin_id: date
          order: DESC
          expose:
            label: ''
            field_identifier: created
          exposed: false
          granularity: second
      arguments: {  }
      filters:
        type:
          id: type
          table: node_field_data
          field: type
          entity_type: node
          entity_field: type
          plugin_id: bundle
          value:
            registrations: registrations
          expose:
            operator_limit_selection: false
            operator_list: {  }
      style:
        type: table
        options:
          grouping: {  }
          row_class: ''
          default_row_class: true
          columns:
            title: title
            body: body
            field_description_of_site: field_description_of_site
            delta: delta
            field_pi_email: field_pi_email
            field_pi_name: field_pi_name
            field_purpose_of_site: field_purpose_of_site
            field_site_admin_email: field_site_admin_email
            field_site_admin_name: field_site_admin_name
            field_site_url_reg: field_site_url_reg
            delta_1: delta_1
          default: title
          info:
            title:
              sortable: true
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: false
              responsive: ''
            body:
              sortable: false
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: true
              responsive: ''
            field_description_of_site:
              align: ''
              separator: ''
              empty_column: true
              responsive: ''
            delta:
              sortable: true
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: true
              responsive: ''
            field_pi_email:
              sortable: false
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: true
              responsive: ''
            field_pi_name:
              sortable: true
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: true
              responsive: ''
            field_purpose_of_site:
              sortable: false
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: true
              responsive: ''
            field_site_admin_email:
              sortable: false
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: true
              responsive: ''
            field_site_admin_name:
              sortable: true
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: true
              responsive: ''
            field_site_url_reg:
              sortable: true
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: false
              responsive: ''
            delta_1:
              sortable: true
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: false
              responsive: ''
          override: true
          sticky: false
          summary: ''
          empty_table: false
          caption: ''
          description: ''
      row:
        type: 'entity:node'
        options:
          view_mode: teaser
      query:
        type: views_query
        options:
          query_comment: ''
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_tags: {  }
      relationships: {  }
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url.query_args
        - 'user.node_grants:view'
        - user.roles
      tags:
        - 'config:field.storage.node.field_site_url_reg'
  page_1:
    id: page_1
    display_title: Page
    display_plugin: page
    position: 1
    display_options:
      display_extenders: {  }
      path: tripal-registrations
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url.query_args
        - 'user.node_grants:view'
        - user.roles
      tags:
        - 'config:field.storage.node.field_site_url_reg'
  rest_export_1:
    id: rest_export_1
    display_title: 'REST export'
    display_plugin: rest_export
    position: 2
    display_options:
      pager:
        type: some
        options:
          offset: 0
          items_per_page: 10
      style:
        type: serializer
      row:
        type: data_entity
        options: {  }
      defaults:
        style: false
        row: false
      display_extenders: {  }
      path: /tripal-use-data
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - request_format
        - 'user.node_grants:view'
        - user.roles
      tags:
        - 'config:field.storage.node.field_site_url_reg'
